### Method

# Clutter InputDevice get_product_id

#### Declaration [src]

    const gchar*
    clutter_input_device_get_product_id (
      ClutterInputDevice* device
    )

#### Description [src]

Gets the product ID of this device.

Gets property | `Clutter.InputDevice:product-id`

#### Return value

Type: `const gchar*`

The product ID2.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.